# User

The `user`object represents the predefined information of a user

## Available Fields

| Field        | Type     | Description                                                                                                                                                            |
| ------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `id`         | ID       | A base64-encoded version of the `databaseId`                                                                                                                           |
| `databaseId` | string   | User's id which must be used as  [`sg-user`](https://docs.suggestic.com/graphql/graphql/graphql-playground#how-to-use-the-graphql-playground) value in the HTTP header |
| `email`      | string   | User's email                                                                                                                                                           |
| `name`       | string   | User's name                                                                                                                                                            |
| `phone`      | string   | User's phone number                                                                                                                                                    |
| `isActive`   | boolean  | **True** if the user is active. Otherwise, **False.**                                                                                                                  |
| `createdAt`  | DateTime | Date and time when the user has been created                                                                                                                           |
| `updatedAt`  | DateTime | Date and time when the user's information has been updated                                                                                                             |

This object is used in the following:

* [Create User](https://docs.suggestic.com/graphql/query/mutations/user-profile/new-user)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/common/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
